Subject: Re: Changing cygwin directory
From: Pierre Mallard <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 21 Apr 2003 16:12:43 +0200 (CEST)

Thanx to u,
I did your command but it didn't help a lot...
The problem is that I'd like to avoid using a setup
again cause there are things I installed wich are not
included in it and I have no more the src...
(Moreover I'm not sure to have the complete cygwin
package here...)

If I only do ./mount -m it does not output anything at
all.... !!
Means no system mount no ??
Ok I can force it :
Now I have :
mount -f -s -b "/cygdrive/d/cygwin/bin" "/usr/bin"
mount -f -s -b "/cygdrive/d/cygwin/lib" "/usr/lib"
(mounted manually with :
mount /cygdri.../bin /usr/bin
mount /cygdri.../lib /usr/lib
)

Well this didn't help for the moment....
Maybe I shoul put some other mounting point ...
What should I do more then ?
ps : I didn't use eval , it seems working without I'm
in bash mode..

Thanks
Regards
Pierre
--- Igor Pechtchanski <[email-masked]> a écrit :
> On Mon, 21 Apr 2003, Pierre Mallard wrote:
> 
> > Hi,
> > I was used to have cygwin at C:
> > And I'd like to move it to d:,
> > What are the op I must do in order to make it
> works?
> > I've already change the cygwin.bat but still it
> can't
> > run properly :
> > Here is what it prompt (after moving cygwin
> directory
> > to d: and changing cygwin.bat file):
> > bash.exe: warning: could not find /tmp, please
> create!
> > bash-2.05b$
> >
> > He can't find sh, ls,... and I didn't succeed in
> > trying to find some c: text in cygwin directory...
> > Thanx for help
> > Regards
> > Pierre
> 
> Pierre,
> 
> You forgot to update your mount table.  Try running
> the following from a
> bash session:
> 
> cd /cygdrive/d/cygwin/bin
> eval "`./mount -m | ./sed 's/c:/d:/i'`"
> 
> Hope this helps,
> 	Igor
> -- 
> 				http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_		[email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
>      |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski
>     '---''(_/--'  `-'\_) fL	a.k.a
> JaguaR-R-R-r-r-r-.-.-.  Meow!
> 
> Knowledge is an unending adventure at the edge of
> uncertainty.
>   -- Leto II
>  

___________________________________________________________
Do You Yahoo!? -- Une adresse @yahoo.fr gratuite et en français !
Yahoo! Mail : http://fr.mail.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/